import { DSQL_TBEN_ME_BLOG_POSTS } from "@/src/types/dsql";
import { APIResponseObject } from "@moduletrace/bunext/types";
import datasquirel from "@moduletrace/datasquirel";

datasquirel
    .crud<DSQL_TBEN_ME_BLOG_POSTS>({
        action: "get",
        table: "blog_posts",
        query: {
            order: {
                field: "id",
                strategy: "DESC",
            },
            query: {
                published: {
                    value: "1",
                },
            },
        },
    })
    .then((res) => {
        console.log("res", res);
    })
    .catch((err) => {
        console.error(err.message);
    })
    .finally(() => {
        process.exit();
    });
